function theta = ave_deriv_ACT(g,x,functional_type)

n=length(x);

xx = sum(x,2);

if strcmp(functional_type,'ACT_Math_Overall')
    delta = .0001*[ones(n,1), zeros(n,1),zeros(n,1),zeros(n,1)];
    theta = mean(    (g(x+delta)-g(x))/.0001      );
    
elseif strcmp(functional_type,'ACT_English_Overall')
    delta = .0001*[zeros(n,1), ones(n,1),zeros(n,1),zeros(n,1)];
    theta = mean(    (g(x+delta)-g(x))/.0001      );
    
elseif strcmp(functional_type,'ACT_Reading_Overall')
    delta = .0001*[zeros(n,1), zeros(n,1),ones(n,1),zeros(n,1)];
    theta = mean(    (g(x+delta)-g(x))/.0001      );
    
elseif strcmp(functional_type,'ACT_Science_Overall')
    delta = .0001*[zeros(n,1), zeros(n,1),zeros(n,1),ones(n,1)];
    theta = mean(    (g(x+delta)-g(x))/.0001      );

    
    
    
elseif strcmp(functional_type,'ACT_Math_Q1')
    %I = abs(x(:,1) < quantile(x(:,1),.25));
    I = abs(xx < quantile(xx,.25));
    delta = .0001*[I, zeros(n,1),zeros(n,1),zeros(n,1)];
    theta = 4* mean(    (g(x+delta)-g(x))/.0001      );
    
elseif strcmp(functional_type,'ACT_English_Q1')
    %I = abs(x(:,2) < quantile(x(:,2),.25));
    I = abs(xx < quantile(xx,.25));
    delta = .0001*[zeros(n,1), I ,zeros(n,1),zeros(n,1)];
    theta = 4* mean(    (g(x+delta)-g(x))/.0001      );
    
elseif strcmp(functional_type,'ACT_Reading_Q1')
    %I = abs(x(:,3) < quantile(x(:,3),.25));
    I = abs(xx < quantile(xx,.25));
    delta = .0001*[zeros(n,1), zeros(n,1),I,zeros(n,1)];
    theta = 4* mean(    (g(x+delta)-g(x))/.0001      );
    
elseif strcmp(functional_type,'ACT_Science_Q1')
    %I = abs(x(:,4) < quantile(x(:,4),.25));
    I = abs(xx < quantile(xx,.25));
    delta = .0001*[zeros(n,1), zeros(n,1),zeros(n,1),I];
    theta = 4* mean(    (g(x+delta)-g(x))/.0001      );
    
    
    
elseif strcmp(functional_type,'ACT_Math_Q2')
    %I = abs(  x(:,1) >= quantile(x(:,1),.25)    &  x(:,1) < quantile(x(:,1),.5) );
    I = abs(  xx >= quantile(xx,.25)    &  xx < quantile(xx,.5) );
    delta = .0001*[I, zeros(n,1),zeros(n,1),zeros(n,1)];
    theta = 4* mean(    (g(x+delta)-g(x))/.0001      );
    
elseif strcmp(functional_type,'ACT_English_Q2')
    %I = abs(  x(:,2) >= quantile(x(:,1),.25)    &  x(:,2) < quantile(x(:,2),.5) );
    I = abs(  xx >= quantile(xx,.25)    &  xx < quantile(xx,.5) );
    delta = .0001*[zeros(n,1), I ,zeros(n,1),zeros(n,1)];
    theta = 4* mean(    (g(x+delta)-g(x))/.0001      );
    
elseif strcmp(functional_type,'ACT_Reading_Q2')
    %I = abs(  x(:,3) >= quantile(x(:,3),.25)    &  x(:,1) < quantile(x(:,3),.5) );
    I = abs(  xx >= quantile(xx,.25)    &  xx < quantile(xx,.5) );
    delta = .0001*[zeros(n,1), zeros(n,1),I,zeros(n,1)];
    theta = 4* mean(    (g(x+delta)-g(x))/.0001      );
    
elseif strcmp(functional_type,'ACT_Science_Q2')
    %I = abs(  x(:,4) >= quantile(x(:,4),.25)    &  x(:,4) < quantile(x(:,4),.5) );
    I = abs(  xx >= quantile(xx,.25)    &  xx < quantile(xx,.5) );
    delta = .0001*[zeros(n,1), zeros(n,1),zeros(n,1),I];
    theta = 4* mean(    (g(x+delta)-g(x))/.0001      );
    
    
    
    
elseif strcmp(functional_type,'ACT_Math_Q3')
    %I = abs(  x(:,1) >= quantile(x(:,1),.5)    &  x(:,1) < quantile(x(:,1),.75) );
    I = abs(  xx >= quantile(xx,.5)    &  xx < quantile(xx,.75) );
    delta = .0001*[I, zeros(n,1),zeros(n,1),zeros(n,1)];
    theta = 4* mean(    (g(x+delta)-g(x))/.0001      );
    
elseif strcmp(functional_type,'ACT_English_Q3')
    %I = abs(  x(:,2) >= quantile(x(:,1),.5)    &  x(:,2) < quantile(x(:,2),.75) );
    I = abs(  xx >= quantile(xx,.5)    &  xx < quantile(xx,.75) );
    delta = .0001*[zeros(n,1), I ,zeros(n,1),zeros(n,1)];
    theta = 4* mean(    (g(x+delta)-g(x))/.0001      );
    
elseif strcmp(functional_type,'ACT_Reading_Q3')
    %I = abs(  x(:,3) >= quantile(x(:,3),.5)    &  x(:,1) < quantile(x(:,3),.75) );
    I = abs(  xx >= quantile(xx,.5)    &  xx < quantile(xx,.75) );
    delta = .0001*[zeros(n,1), zeros(n,1),I,zeros(n,1)];
    theta = 4* mean(    (g(x+delta)-g(x))/.0001      );
    
elseif strcmp(functional_type,'ACT_Science_Q3')
    %I = abs(  x(:,4) >= quantile(x(:,4),.5)    &  x(:,4) < quantile(x(:,4),.75) );
    I = abs(  xx >= quantile(xx,.5)    &  xx < quantile(xx,.75) );
    delta = .0001*[zeros(n,1), zeros(n,1),zeros(n,1),I];
    theta = 4* mean(    (g(x+delta)-g(x))/.0001      );
    
    
    
    
elseif strcmp(functional_type,'ACT_Math_Q4')
    %I = abs(x(:,1) >= quantile(x(:,1),.75));
    I = abs(xx >= quantile(xx,.75));
    delta = .0001*[I, zeros(n,1),zeros(n,1),zeros(n,1)];
    theta = 4* mean(    (g(x+delta)-g(x))/.0001      );
    
elseif strcmp(functional_type,'ACT_English_Q4')
    %I = abs(x(:,2) >- quantile(x(:,2),.75));
    I = abs(xx >= quantile(xx,.75));
    delta = .0001*[zeros(n,1), I ,zeros(n,1),zeros(n,1)];
    theta = 4* mean(    (g(x+delta)-g(x))/.0001      );
    
elseif strcmp(functional_type,'ACT_Reading_Q4')
    %I = abs(x(:,3) >= quantile(x(:,3),.75));
    I = abs(xx >= quantile(xx,.75));
    delta = .0001*[zeros(n,1), zeros(n,1),I,zeros(n,1)];
    theta = 4* mean(    (g(x+delta)-g(x))/.0001      );
    
elseif strcmp(functional_type,'ACT_Science_Q4')
    %I = abs(x(:,4) >= quantile(x(:,4),.75));
    I = abs(xx >= quantile(xx,.75));
    delta = .0001*[zeros(n,1), zeros(n,1),zeros(n,1),I];
    theta = 4* mean(    (g(x+delta)-g(x))/.0001      );
    
end



%




