function [Khat] = generate_p_ACT(y, x, Q)

n = length(y);

K_max = 10;
SSR = zeros(K_max - 2,1);
BIC = SSR;
SSR_BIC = SSR;
SSR_idx = 1;
for K_test_component = 1:K_max 
    
    [pX1, ~] = myspline(K_test_component, x(:,1));
    [pX2,~]=myspline(K_test_component,x(:,2));
    [pX3,~]=myspline(K_test_component,x(:,3));
    [pX4,~]=myspline(K_test_component,x(:,4));
    
    
    P1=[];
    for k = 1:K_test_component
        P1 = pX1{k}((x(:,1)));
    end
    P2=[];for k=1:K_test_component, P2=[P2,pX2{k}((x(:,2)))]; end;%#ok
    P3=[];for k=1:K_test_component, P3=[P3,pX3{k}((x(:,3)))]; end;%#ok
    P4=[];for k=1:K_test_component, P4=[P4,pX4{k}((x(:,4)))]; end;%#ok
    
    P = [P1,P2,P3,P4];
    
  
    %BIC
    yhat = [P, Q] * ( [P, Q] \ y );
    SSR_BIC(SSR_idx) = mean((y - yhat) .^ 2);
    BIC(SSR_idx) = n * log(SSR_BIC(SSR_idx)) + log(n) * size([P, Q],2);
    SSR_idx = SSR_idx + 1;
end
    
Khat0 = (find(BIC == min(BIC),1,'first'));
Khat = floor((sqrt(log10(n))*Khat0));
