function [p,Khat,t] = generate_p(y,x,Q)

n=length(y);



SSR = zeros(floor(2*n^(1/3)-5) ,1);SSR_BIC = SSR; BIC = zeros(3,1); SSR_idx=1;
for K_test = 5 :floor(2*n^(1/3)) 
    P=zeros(n,K_test);
    [p,~]=myspline(K_test,x);
    for k=1:K_test, P(:,k) = p{k}(x);
    end
    
  
    %BIC
    yhat = [P,Q] * ( [P,Q]\y );
    SSR_BIC(SSR_idx)=mean((y-yhat).^2);
    BIC(SSR_idx)=n*log(SSR_BIC(SSR_idx))+log(n)*size([P,Q],2);
    SSR_idx=SSR_idx+1;
end
    
Khat0 = find(BIC == min(BIC),1,'first')+5;
Khat = floor((log10(n)*Khat0));
 

[p,t] = myspline(Khat,x);
 
%Cubic Spline Basis
function [p,t]=myspline(K,x)

spline_order=3;

tmax=quantile(abs(x),.95);tmin=-tmax;

Delta0 = zeros(K,1);
for k=1:K
Delta0(k)=abs((K+1)/2 -k);
end
c1=1;c2=.5;
Delta = (c1+c2*Delta0)/(sum(c1+c2*Delta0))*(tmax - tmin);
t = zeros(K+1,1);
t(1) = tmin;
for k=2:(K+1)
t(k)=t(k-1) + Delta(k-1);
end
B=bspline1(t,spline_order+1); 
p=cell(K,1);
for k=1:K-3;
    p{k} = B{k,spline_order+1};
end
if K>2
p{K-2} = @(x) x;
end
if K>1
p{K-1} = @(x)x.^2/2;
end
p{K} = @(x)x.^3/6;




